Bug 44511 - openoffice-devel won't build
Summary: openoffice-devel won't build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-27 00:00 UTC by Mike Durian
Modified: 2003-04-29 14:02 UTC (History)
0 users

See Also:


Attachments
ne_xml.c.patch (476 bytes, patch)
2002-11-01 20:58 UTC, Mike Durian
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Durian 2002-10-27 00:00:14 UTC
	The openoffice-devel port won't build on a -current system built
	from Oct 24, 2002 sources.  It can't find xmlparse.h

	Here's the tail end of the build:

	------------------------------
	Making: ../../../../../unxfbsd.pro/slo/ne_xml.obj
	cc -w -c -I. -I. -I../inc -I../../../../../inc -I../../../../../unx/inc -I../../../../../unxfbsd.pro/inc -I. -I/disk2/ports/editors/openoffice-devel/work/oo_643_src/solver/643/unxfbsd.pro/inc/dont_use_stl -I/disk2/ports/editors/openoffice-devel/work/oo_643_src/solver/643/unxfbsd.pro/inc/external -I/disk2/ports/editors/openoffice-devel/work/oo_643_src/solver/643/unxfbsd.pro/inc -I/disk2/ports/editors/openoffice-devel/work/oo_643_src/solenv/unxfbsd/inc -I/disk2/ports/editors/openoffice-devel/work/oo_643_src/solenv/inc -I/disk2/ports/editors/openoffice-devel/work/oo_643_src/res -I/usr/include -I/usr/local/dont_use_stlport -I/usr/local/include/dont_use_stlport -I/disk2/ports/editors/openoffice-devel/work/oo_643_src/solenv/inc/Xp31 -I/usr/local/jdk1.3.1/include -I/usr/local/jdk1.3.1/include/freebsd -I/usr/local/jdk1.3.1/include/green_threads/include -I/usr/X11R6/include     -I. -I../../../../../res -I. -I/disk2/ports/editors/openoffice-devel/work/oo_643_src/solenv/unxfbsdi/usr/i!
 nclude -I/usr/X11R6/include -O   -I/disk2/ports/editors/openoffice-devel/work/oo_643_src/solver/643/unxfbsd.pro/inc/external/expat -pipe  -fPIC -DFREEBSD -DUNX -DVCL -DGCC -DC300 -DINTEL -DCVER=C300 -D_USE_NAMESPACE -D_USE_NAMESPACE=1 -DX86 -DNEW_SOLAR -DSTLPORT_VERSION=400 -DOSVERSION=500042 -D_THREAD_SAFE -D__DMAKE -DUNIX -DCPPU_ENV=gcc3 -DSUPD=643 -DBUILD=8231 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOPTIMIZE -DEXCEPTIONS_OFF -DCUI -DSOLAR_JAVA -DSRX643  -DHAVE_CONFIG_H -DSHAREDLIB -D_DLL_  -DMULTITHREAD  -o ../../../../../unxfbsd.pro/slo/ne_xml.o ne_xml.c
	ne_xml.c:44:22: xmlparse.h: No such file or directory
	ne_xml.c:51: syntax error before "ne_xml_char"
	ne_xml.c:103: syntax error before "ne_xml_char"
	ne_xml.c:128: syntax error before "XML_Parser"
	ne_xml.c:157: syntax error before '*' token
	ne_xml.c:158: syntax error before '*' token
	ne_xml.c:159: syntax error before '*' token
	ne_xml.c:182: syntax error before "ne_xml_char"
	ne_xml.c:189: syntax error before '*' token
	ne_xml.c: In function `ne_xml_currentline':
	ne_xml.c:264: structure has no member named `parser'
	ne_xml.c: At top level:
	ne_xml.c:344: syntax error before '*' token
	ne_xml.c: In function `start_element':
	ne_xml.c:347: `userdata' undeclared (first use in this function)
	ne_xml.c:347: (Each undeclared identifier is reported only once
	ne_xml.c:347: for each function it appears in.)
	ne_xml.c:353: `name' undeclared (first use in this function)
	ne_xml.c:360: syntax error before '*' token
	ne_xml.c:361: `pnt' undeclared (first use in this function)
	ne_xml.c:367: `atts' undeclared (first use in this function)
	ne_xml.c: In function `destroy_state':
	ne_xml.c:431: structure has no member named `default_ns'
	ne_xml.c:431: structure has no member named `default_ns'
	ne_xml.c:431: structure has no member named `default_ns'
	ne_xml.c:437: structure has no member named `name'
	ne_xml.c:438: structure has no member named `uri'
	ne_xml.c: At top level:
	ne_xml.c:445: syntax error before '*' token
	ne_xml.c: In function `char_data':
	ne_xml.c:447: `userdata' undeclared (first use in this function)
	ne_xml.c:451: `data' undeclared (first use in this function)
	ne_xml.c:451: `len' undeclared (first use in this function)
	ne_xml.c: At top level:
	ne_xml.c:530: syntax error before '*' token
	ne_xml.c: In function `end_element':
	ne_xml.c:532: `userdata' undeclared (first use in this function)
	ne_xml.c:537: `name' undeclared (first use in this function)
	ne_xml.c:542: syntax error before '*' token
	ne_xml.c:543: `pnt' undeclared (first use in this function)
	ne_xml.c: In function `resolve_nspace':
	ne_xml.c:586: structure has no member named `name'
	ne_xml.c:587: structure has no member named `name'
	ne_xml.c:588: structure has no member named `uri'
	ne_xml.c: At top level:
	ne_xml.c:602: syntax error before '*' token
	ne_xml.c: In function `parse_element':
	ne_xml.c:605: syntax error before '*' token
	ne_xml.c:608: `name' undeclared (first use in this function)
	ne_xml.c:611: `atts' undeclared (first use in this function)
	ne_xml.c:618: `state' undeclared (first use in this function)
	ne_xml.c:629: `p' undeclared (first use in this function)
	ne_xml.c:639: structure has no member named `name'
	ne_xml.c:640: structure has no member named `uri'
	ne_xml.c:642: structure has no member named `name'
	ne_xml.c:642: structure has no member named `uri'
	ne_xml.c:647: `pnt' undeclared (first use in this function)
	ne_xml.c:653: structure has no member named `default_ns'
	ne_xml.c:654: structure has no member named `default_ns'
	ne_xml.c: In function `ne_xml_create':
	ne_xml.c:702: structure has no member named `parser'
	ne_xml.c:703: structure has no member named `parser'
	ne_xml.c:706: structure has no member named `parser'
	ne_xml.c:707: structure has no member named `parser'
	ne_xml.c:708: structure has no member named `parser'
	ne_xml.c: In function `ne_xml_parse':
	ne_xml.c:802: structure has no member named `parser'
	ne_xml.c:807: structure has no member named `parser'
	ne_xml.c:808: structure has no member named `parser'
	ne_xml.c: In function `ne_xml_destroy':
	ne_xml.c:850: structure has no member named `parser'
	dmake:  Error code 1, while making '../../../../../unxfbsd.pro/slo/ne_xml.obj'
	---* TG_SLO.MK *---
	dmake:  Error code 255, while making './unxfbsd.pro/misc/build/so_built'
	---* TG_SLO.MK *---

	ERROR: Error 65280 occurred while making /disk2/ports/editors/openoffice-devel/work/oo_643_src/neon
	dmake:  Error code 1, while making 'build_all'
	---* TG_SLO.MK *---
	*** Error code 255

	Stop in /disk2/ports/editors/openoffice-devel.

How-To-Repeat: 	Nothing special.  I happens for me everytime I try to build.
Comment 1 Patrick Li freebsd_committer 2002-10-29 00:04:41 UTC
Responsible Changed
From-To: freebsd-ports->openoffice

Over to maintainers
Comment 2 Mike Durian 2002-11-01 20:31:56 UTC
Just an update that openoffice-devel still does not build on -current
(or at least my combination of -current and various ports).  It suffers
from the same missing xmlparse.h problem.

mike
Comment 3 Mike Durian 2002-11-01 20:58:43 UTC
I don't think this is the proper fix, but it does get things going.
On Oct. 4, 2002, FreeBSD added the expat library to the base system,
but named the include file bsdxml.h.  There was no __FreeBSD_version
bump for this.  The closest was the change on Oct 15 from 500040 to
500041.

The better fix is probably to check for the existance of bsdxml.h in
one of the config files, but I didn't really want to dig into that
right now.

mike
Comment 4 Martin Blapp freebsd_committer 2003-04-29 14:01:08 UTC
State Changed
From-To: open->closed

Hi, 

I have not been able to reproduce this on any of my 
systems. You need to remove old headers, look into 
your make.conf.